Package net.shibboleth.shared.primitive

# Enum Class DeprecationSupport.ObjectType

java.lang.Object
java.lang.Enum<DeprecationSupport.ObjectType>
net.shibboleth.shared.primitive.DeprecationSupport.ObjectType

All Implemented Interfaces:
  `Serializable`, `Comparable<DeprecationSupport.ObjectType>`, `Constable`

Enclosing class:
  DeprecationSupport

public static enum DeprecationSupport.ObjectType extends Enum<DeprecationSupport.ObjectType>
Type of object, setting, feature, etc. being deprecated.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTION`
Spring web flow.
`ATTRIBUTE`
XML attribute.
`BEAN`
Spring bean.
`CLASS`
Java class/type.
`CLI_OPTION`
Command-line option.
`CONFIGURATION`
Configuration approach.
`ELEMENT`
XML element.
`METHOD`
Java method.
`NAMESPACE`
XML namespace.
`PROPERTY`
Key/value property.
`WEBFLOW`
Spring web flow.
`XSITYPE`
XML type.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`text`
Printed version.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ObjectType(String s)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static DeprecationSupport.ObjectType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DeprecationSupport.ObjectType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLASS

public static final DeprecationSupport.ObjectType CLASS
Java class/type.

### METHOD

public static final DeprecationSupport.ObjectType METHOD
Java method.

### PROPERTY

public static final DeprecationSupport.ObjectType PROPERTY
Key/value property.

### BEAN

public static final DeprecationSupport.ObjectType BEAN
Spring bean.

### NAMESPACE

public static final DeprecationSupport.ObjectType NAMESPACE
XML namespace.

### XSITYPE

public static final DeprecationSupport.ObjectType XSITYPE
XML type.

### ELEMENT

public static final DeprecationSupport.ObjectType ELEMENT
XML element.

### ATTRIBUTE

public static final DeprecationSupport.ObjectType ATTRIBUTE
XML attribute.

### WEBFLOW

public static final DeprecationSupport.ObjectType WEBFLOW
Spring web flow.

### ACTION

public static final DeprecationSupport.ObjectType ACTION
Spring web flow.

### CONFIGURATION

public static final DeprecationSupport.ObjectType CONFIGURATION
Configuration approach.

### CLI_OPTION

public static final DeprecationSupport.ObjectType CLI_OPTION
Command-line option.

Since:
  8.1

## Field Details

### text

@Nonnull @NotEmpty private final String text
Printed version.

## Constructor Details

### ObjectType

private ObjectType(@Nonnull @NotEmpty String s)
Constructor.

Parameters:
  `s` - printed representation

## Method Details

### values

public static DeprecationSupport.ObjectType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DeprecationSupport.ObjectType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<DeprecationSupport.ObjectType>`